Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## teamdev.jxcapture.toolkit
Class Positions

    java.lang.Object
      teamdev.jxcapture.toolkit.Positions

public class Positions
extends java.lang.Object

This class provides the ability to determine the locations into which the helper dialog can be moved according to the specified `PositionInfo` object.

Field Summary
`static int` | `BOTTOM_LEFT`
`static int` | `BOTTOM_RIGHT`
`static int` | `TOP_LEFT`
`static int` | `TOP_RIGHT`

Constructor Summary
`Positions(PositionInfo positionInfo)`

Method Summary
`java.awt.Point` | `getPositionById(int id)` Returns the point by the specified id into which the helper dialog can be moved.
`java.awt.Point[]` | `getPositions()` Returns the points into which the helper dialog can be moved.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOP_LEFT

    public static final int TOP_LEFT

See Also:
  Constant Field Values

### BOTTOM_LEFT

    public static final int BOTTOM_LEFT

See Also:
  Constant Field Values

### TOP_RIGHT

    public static final int TOP_RIGHT

See Also:
  Constant Field Values

### BOTTOM_RIGHT

    public static final int BOTTOM_RIGHT

See Also:
  Constant Field Values

Constructor Detail

### Positions

    public Positions(PositionInfo positionInfo)

Method Detail

### getPositions

    public java.awt.Point[] getPositions()

  Returns the points into which the helper dialog can be moved.

### getPositionById

    public java.awt.Point getPositionById(int id)

  Returns the point by the specified id into which the helper dialog can be moved.

  Parameters:
    `id` - one of the following constants: `TOP_LEFT`, `BOTTOM_LEFT`, `TOP_RIGHT` or `BOTTOM_RIGHT`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD